Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.certra.protocol.v2
Class GetCertificateInfoForAuthenticationCertificateResponse

    java.lang.Object
      be.fgov.ehealth.commons.protocol.v2.ResponseType
          be.fgov.ehealth.commons.protocol.v2.StatusResponseType
              be.fgov.ehealth.certra.protocol.v2.GetCertificateInfoForAuthenticationCertificateResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:56:49+01:00",
               comments="JAXB RI v2.2.11")
    public class GetCertificateInfoForAuthenticationCertificateResponse

extends StatusResponseType
implements Serializable

Contains information about the eHealth authentication certificate and encryption token that the user requested in their request.

Java class for GetCertificateInfoForAuthenticationCertificateResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="GetCertificateInfoForAuthenticationCertificateResponseType">
       <complexContent>
         <extension base="{urn:be:fgov:ehealth:commons:protocol:v2}StatusResponseType">
           <sequence minOccurs="0">
             <element name="CertificateInfo" type="{urn:be:fgov:ehealth:certra:core:v2}CertificateInfoType"/>
           </sequence>
         </extension>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`GetCertificateInfoForAuthenticationCertificateResponse()`

Method Summary
`CertificateInfoType` | `getCertificateInfo()` Gets the value of the certificateInfo property.
`void` | `setCertificateInfo(CertificateInfoType value)` Sets the value of the certificateInfo property.

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.StatusResponseType
`getStatus, setStatus`

Methods inherited from class be.fgov.ehealth.commons.protocol.v2.ResponseType
`getId, getInResponseTo, getIssueInstant, setId, setInResponseTo, setIssueInstant`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GetCertificateInfoForAuthenticationCertificateResponse

    public GetCertificateInfoForAuthenticationCertificateResponse()

Method Detail

### getCertificateInfo

    public CertificateInfoType getCertificateInfo()

  Gets the value of the certificateInfo property.

  Returns:
    possible object is `CertificateInfoType`

### setCertificateInfo

    public void setCertificateInfo(CertificateInfoType value)

  Sets the value of the certificateInfo property.

  Parameters:
    `value` - allowed object is `CertificateInfoType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.